Subject: Re: Node Requirements: Issue 13 - CGA/SeND support

From: Ana Kukec <[email-masked]>
Date: Thu, 23 Jul 2009 17:18:01 +0200

Hi all,

There are SeND implementations for Junos, Cisco IOS, and there is 
DoCoMo's implementation for Linux and FreeBSD.

Apart from the open source SeND implementation for Linux that Sheng have 
mentioned, i am also working on the open source SeND implementation for 
all *BSDs and Mac that will be finished by the end of September - the 
implementation of both the basic SeND spec and the ongoing CSI WG work 
(developed within the FreeBSD community and sponsored by Google).

Regards,
Ana

>> From: Thomas Narten <[email-masked]>
>> Date: Thu, 23 Jul 2009 09:00:12 -0400
>> To: Brian E Carpenter <[email-masked]>
>> Cc: <[email-masked]>, <[email-masked]>, <[email-masked]>, Hesham
>> Soliman <[email-masked]>
>> Subject: Re: Node Requirements: Issue 13 - CGA/SeND support
>>
>>     
>>> What information do we have from the real world about deployability?
>>>       
>>> It would be foolish to mandate something that doesn't work well.
>>>       
>> I think these are key questions we need to think hard about.
>>
>> As far as I can tell, SEND has not been implemented in any real
>> product or major distribution. (It would be good to find out what
>> implementations have been done and where they have been used.)
>>
>> More importantly, I don't believe we have any significant operational
>> experience with the technology. We don't know if the current specs are
>> sufficient to implement and operate SEND on real networks.
>>
>> Finally, SEND is new technology, in that there is no IPv4
>> counterpart. So it isn't just an IPv6 version of something that we
>> know works fine in IPv4. So again, we should be cautious in how
>> strongly we recommend its usage. The fact that IPv4 does not have a
>> SEND equivalent suggests that SEND is not critical technology that
>> needs to be widely implemented in order for IPv6 to be useful.
>>
>> There is also a Cga & Send maIntenance (csi) WG that is working on
>> some SEND extensions, including developing X.509 certificate
>> management tools that presumably will help in making SEND more
>> deployable operationally.
>>
>> This all leads me to conclude that the node requirements doc should
>> not make SEND even a SHOULD. Ideally, somewhere between a MAY and
>> SHOULD. I'd love to see SEND implemented and deployed (so we can
>> figure out how well it works and fix any shortcomings), but I think it
>> is premature to recommend its implementation an all nodes.
>>
>>
>>     
>

---

From: Brian E Carpenter <[email-masked]>
Date: Fri, 24 Jul 2009 11:15:32 +1200

It sounds as if somebody should be planning a SeND bake-off
as a first step to understanding deployability and
interoperability. Or maybe that has already happened?

I do share Thomas' doubts about whether this is ready for
a SHOULD though. I'm assuming that this won't be the
last update of Node Requirements, in any case, so maybe
SeND could be a MAY, with a note that it is a candidate
for SHOULD at a later date?

    Brian

On 2009-07-24 03:18, Ana Kukec wrote:
> --------------------------------------------------------------------
> IETF IPv6 working group mailing list
> [email-masked]
> Administrative Requests: https://www.ietf.org/mailman/listinfo/ipv6
> --------------------------------------------------------------------
>

---

From: [email-masked] (Arnaud Ebalard)
Date: Fri, 24 Jul 2009 09:06:11 +0200

Hi,

> DoCoMo's implementation for Linux and FreeBSD.

BTW, if people want to test DoCoMo's implementation on Debian, a package
is maintained on http://mobisend.org/debian-mobisend.html. It includes
additional patches (to use libnetfilter_queue) in order to run properly  
on recent kernels, and other fixes.

> Apart from the open source SeND implementation for Linux that Sheng
> have mentioned, i am also working on the open source SeND
> implementation for all *BSDs and Mac that will be finished by the end
> of September - the implementation of both the basic SeND spec and the
> ongoing CSI WG work (developed within the FreeBSD community and
> sponsored by Google).

Interesting.

Cheers,

a+